winsor {psych} | R Documentation

## Find the Winsorized scores, means, sds or variances for a vector, matrix, or data.frame

### Description

Among the robust estimates of central tendency are trimmed means and Winsorized means. This function finds the Winsorized scores. The top and bottom trim values are given values of the trimmed and 1- trimmed quantiles. Then means, sds, and variances are found.

### Usage

    winsor(x, trim = 0.2, na.rm = TRUE)
    winsor.mean(x, trim = 0.2, na.rm = TRUE)
    winsor.means(x, trim = 0.2, na.rm = TRUE)
    winsor.sd(x, trim = 0.2, na.rm = TRUE)
    winsor.var(x, trim = 0.2, na.rm = TRUE)

### Arguments

`x` | A data vector, matrix or data frame
`trim` | Percentage of data to move from the top and bottom of the distributions
`na.rm` | Missing data are removed

### Details

Among the many robust estimates of central tendency, some recommend the Winsorized mean. Rather than just dropping the top and bottom trim percent, these extreme values are replaced with values at the trim and 1- trim quantiles.

### Value

A scalar or vector of winsorized scores or winsorized means, sds, or variances (depending upon the call).

### Author(s)

William Revelle with modifications suggested by Joe Paxton and a further correction added (January, 2009) to preserve the original order for the winsor case.

### References

Wilcox, Rand R. (2005) Introduction to robust estimation and hypothesis testing. Elsevier/Academic Press. Amsterdam ; Boston.

### See Also

`interp.median`

### Examples

    data(sat.act)
    winsor.means(sat.act) #compare with the means of the winsorized scores
    y <- winsor(sat.act)
    describe(y)
    xy <- data.frame(sat.act,y)
    #pairs.panels(xy) #to see the effect of winsorizing
    x <- matrix(1:100,ncol=5)
    winsor(x)
    winsor.means(x)
    y <- 1:11
    winsor(y,trim=.5)

[Package psych version 1.8.4 Index]